{ stdenvNoCC
, babashka
}:

stdenvNoCC.mkDerivation (final: {
  pname = "sydnix-cli";
  version = "2.0.0";
  src = ./.;
  buildInputs = [
    babashka
  ];
  dontBuild = true;
  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin $out/var/sydnix
    cp -r bb.edn src sydnix $out/var/sydnix
    ln -s $out/var/sydnix/sydnix $out/bin/sydnix
    runHook postInstall
  '';
})
